# Namespace rocrand_device

## Functions

- Function rocrand_device::rocrand_mtgp32_init_state

- Template Function rocrand_device::rotl

- Specialized Template Function rocrand_device::rotl< unsigned int >

- Specialized Template Function rocrand_device::rotl< unsigned long long >

- Template Function rocrand_device::skein_ks_parity

- Specialized Template Function rocrand_device::skein_ks_parity< unsigned int >

- Specialized Template Function rocrand_device::skein_ks_parity< unsigned long long >

- Template Function rocrand_device::threefry_rotation_array(int)

- Template Function rocrand_device::threefry_rotation_array(int, int)

- Specialized Template Function rocrand_device::threefry_rotation_array< unsigned int >(int, int)

- Specialized Template Function rocrand_device::threefry_rotation_array< unsigned int >(int)

- Specialized Template Function rocrand_device::threefry_rotation_array< unsigned long long >(int, int)

- Specialized Template Function rocrand_device::threefry_rotation_array< unsigned long long >(int)

## Typedefs

- Typedef rocrand_device::mtgp32_fast_params